- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | List of all members
G::Convert Class Reference

A static class which provides string encoding conversion functions. More...

`#include <gconvert.h>`

## Classes
struct | ThrowOnError
| Holds error context information for when convert() may fail. More...
struct | utf8
| A string wrapper that indicates UTF-8 encoding. More...

## Public Types
typedef std::basic_string< TCHAR > | tstring

## Static Public Member Functions
static void | convert (utf8 &utf_out, const std::string &in_)
| Converts between string types/encodings. More...
static void | convert (utf8 &utf_out, const utf8 &in_)
| Converts between string types/encodings. More...
static void | convert (utf8 &utf_out, const std::wstring &in_)
| Converts between string types/encodings. More...
static void | convert (std::string &ansi_out, const std::string &in_)
| Converts between string types/encodings. More...
static void | convert (std::string &ansi_out, const std::string &in_, const ThrowOnError &just_for_tchar_overloading)
| Converts between string types/encodings. More...
static void | convert (std::string &ansi_out, const utf8 &in_, const ThrowOnError &)
| Converts between string types/encodings. More...
static void | convert (std::string &ansi_out, const std::wstring &in_, const ThrowOnError &)
| Converts between string types/encodings. More...
static void | convert (std::wstring &out_, const std::string &in_)
| Converts between string types/encodings. More...
static void | convert (std::wstring &out_, const utf8 &in_)
| Converts between string types/encodings. More...
static void | convert (std::wstring &out_, const std::wstring &in_)
| Converts between string types/encodings. More...

## Detailed Description

A static class which provides string encoding conversion functions.

Definition at line 37 of file gconvert.h.

## Member Typedef Documentation

typedef std::basic_string<TCHAR> G::Convert::tstring

Definition at line 40 of file gconvert.h.

## Member Function Documentation

void G::Convert::convert | ( | utf8 & | utf_out,
|  | const std::string & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 44 of file gconvert.cpp.

void G::Convert::convert | ( | utf8 & | utf_out,
|  | const utf8 & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 24 of file gconvert.cpp.

void G::Convert::convert | ( | utf8 & | utf_out,
|  | const std::wstring & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 49 of file gconvert.cpp.

void G::Convert::convert | ( | std::string & | ansi_out,
|  | const std::string & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 29 of file gconvert.cpp.

void G::Convert::convert | ( | std::string & | ansi_out,
|  | const std::string & | in_,
|  | const ThrowOnError & | just_for_tchar_overloading
| ) |  |
| static

Converts between string types/encodings.

Definition at line 34 of file gconvert.cpp.

void G::Convert::convert | ( | std::string & | ansi_out,
|  | const utf8 & | in_,
|  | const ThrowOnError & | e
| ) |  |
| static

Converts between string types/encodings.

Definition at line 54 of file gconvert.cpp.

References G::Convert::ThrowOnError::context, and G::Convert::utf8::s.

void G::Convert::convert | ( | std::string & | ansi_out,
|  | const std::wstring & | in_,
|  | const ThrowOnError & | e
| ) |  |
| static

Converts between string types/encodings.

Definition at line 59 of file gconvert.cpp.

References G::Convert::ThrowOnError::context.

void G::Convert::convert | ( | std::wstring & | out_,
|  | const std::string & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 64 of file gconvert.cpp.

void G::Convert::convert | ( | std::wstring & | out_,
|  | const utf8 & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 69 of file gconvert.cpp.

References G::Convert::utf8::s.

void G::Convert::convert | ( | std::wstring & | out_,
|  | const std::wstring & | in_
| ) |  |
| static

Converts between string types/encodings.

Definition at line 39 of file gconvert.cpp.

The documentation for this class was generated from the following files:

- gconvert.h
- gconvert.cpp